---

- name: manage user "{{ user.name }}"
  user:
    name: "{{ user.name }}"
    shell: /bin/bash
    state: "{{ user.state }}"

- name: manage ssh keys for "{{ user.name }}" user
  authorized_key:
    user: "{{ user.name }}"
    state: "{{ user.state }}"
    key: "{{ user.ssh_keys }}"

- name: manage sudo for "{{ user.name }}" user
  lineinfile:
    path: "/etc/sudoers.d/{{ user.name }}"
    line: "{{ user.name }} ALL=(ALL) NOPASSWD: ALL"
    state: "{{ user.state }}"
    mode: 0440
    create: yes
    validate: 'visudo -cf %s'
